<template>
<v-row v-if="getFavoriteBook.length">
   <v-col 
        class="d-flex col-6 col-sm-3 col-md-3 col-lg-2"  
        v-for="b in getFavoriteBook"
        :key="b.bookid">
        <book-item :key="b.bookid" :title="b.booktitle" :coverimage="b.bookcoverimage" :listbookprice="''" :buylink="''" :bookid="b.bookid"></book-item>
    </v-col>
</v-row>
<div class="my-2 col-12 col-sm-12 col-md-12 row align-center" v-else>
    <div class="col-12 col-sm-6 col-md-6 d-flex">No favorite book </div>
</div>
</template>

<script>
import BookItem from '@/components/BookItem.vue';
import {mapGetters} from 'vuex';
export default {
    components:{
        BookItem
    },
    methods:{
       
    },
    computed:{
        ...mapGetters([
            'getFavoriteBook'
        ])
    },
    mounted(){
        
    }

}
</script>

<style>

</style>
